
/* copyright (c) 1996, 1997, 1998, 1999 William R. Pearson and the
   U. of Virginia */

/*  $Id: hostacc.c 343 2010-06-29 18:18:01Z wrp $ */
/* $Revision: 343 $  */

/* Concurrent read version */

#include <stdio.h>
#include <stdlib.h>
#include <sys/time.h>

#ifdef PVM_SRC
#include "pvm3.h"
#endif
#ifdef MPI_SRC
#include "mpi.h"
#endif

#include "msg.h"

#define XTERNAL
#include "uascii.h"
#include "upam.h"
#undef XTERNAL

extern char prog_name[];

extern int nnodes;
#ifdef PVM_SRC
extern int pinums[];
#endif

extern unsigned int my_nrand(int, void *);

#ifdef PVM_SRC
int tidtonode(int tid)
{
  int i;
  for (i=FIRSTNODE; i< nnodes; i++) if (tid==pinums[i]) return i;
  return -1;
}
#endif

/* rand_nodes selects nnodes at random from max_nodes */

void
list_shuff(int *list, int nnodes, void *rand_state)
{
  int i, j, tmp_node;

  fprintf(stderr, "shuffled nodes (pre):\n");
  for (i=0; i<nnodes; i++) fprintf(stderr,"%2d %2d\n",i,list[i]);
  for (i=nnodes; i>0; i--) {
    j = my_nrand(i, rand_state);
    tmp_node = list[j];
    list[j] = list[i-1];
    list[i-1] = tmp_node;
  }
  for (i=0; i<nnodes; i++) fprintf(stderr,"%2d %2d\n",i,list[i]);
}


void
rand_nodes(int *node_map, int nnodes, int max_nodes, void *rand_state)
{
  int node_used[MAXNOD];
  int i, j;

  for (i=0; i<max_nodes; i++) node_used[i]=0;

  if (nnodes < (max_nodes+1)/2) {
    for (i=0; i<nnodes; ) {
      j = my_nrand(max_nodes, rand_state);
      if (node_used[j]) continue;
      else {
	node_map[i++]=j;
	node_used[j]=1;
      }
    }
  }
  else {
    for (i=0; i<(max_nodes-nnodes); )  {
      j = my_nrand(max_nodes, rand_state);
      if (node_used[j]) continue;
      else {
	node_used[j]=1;
	i++;
      }
    }
    for (i=j=0; i<nnodes; j++)
      if (node_used[j]) continue;
      else node_map[i++]=j;
  }
/*  for (i=0; i<nnodes; i++) fprintf(stderr,"%2d %2d\n",i,node_map[i]); */
}
