#!/bin/sh
echo ""
echo "starting FASTA36" `date` "on" `hostname`
echo `uname -a`
echo ""
if [ ! -d results ]; then
  mkdir results
fi
echo "starting fasta36_t - protein" `date`
../bin/fasta36_t -q -m 6 -Z 100000 ../seq/mgstm1.aa:1-100 q > results/test_m1.ok2_t.html
../bin/fasta36_t -S -q -z 11 -O results/test_m1.ok2_t_p25 -s P250 ../seq/mgstm1.aa:100-218 q
echo "done"
echo "starting fastxy36_t" `date`
../bin/fastx36_t -m 9c -S -q ../seq/mgtt2_x.seq q 1 > results/test_t2.xk1_t
../bin/fasty36_t -S -q ../seq/mgtt2_x.seq q > results/test_t2.yk2_t
../bin/fastx36_t -m 9c -S -q -z 2 ../seq/mgstm1.esq a > results/test_m1.xk2_tz2
../bin/fasty36_t -S -q -z 2 ../seq/mgstm1.esq a > results/test_m1.yk2_tz2
echo "done"
echo "starting fastxy36_t rev" `date`
../bin/fastx36_t -m 9c -q -m 5 ../seq/mgstm1.rev q > results/test_m1.xk2r_t
../bin/fasty36_t -q -m 5 -M 200-300 -z 2 ../seq/mgstm1.rev q > results/test_m1.yk2r_tz2
../bin/fasty36_t -q -m 5 -z 11 ../seq/mgstm1.rev q > results/test_m1.yk2rz11_t
echo "done"
echo "starting ssearch36_t" `date`
../bin/ssearch36_t -m 9c -S -z 3 -q ../seq/mgstm1.aa  q > results/test_m1.ss_tz3
../bin/ssearch36_t -q -M 200-300 -z 2 -Z 100000 -s P250 ../seq/mgstm1.aa q > results/test_m1.ss_t_p25
echo "done"
echo "starting ssearch36s_t" `date`
../bin/ssearch36s_t -m 9c -S -z 3 -q ../seq/mgstm1.aa  q > results/test_m1.sss_tz3
../bin/ssearch36s_t -q -M 200-300 -z 2 -Z 100000 -s P250 ../seq/mgstm1.aa q > results/test_m1.sss_t_p25
echo "done"
echo "starting prss36(ssearch/fastx)" `date`
../bin/ssearch36_t -q -k 1000 -A ../seq/mgstm1.aa ../seq/xurt8c.aa  > results/test_m1.rss
../bin/fastx36_t -q -k 1000 -A ../seq/mgstm1.esq ../seq/xurt8c.aa > results/test_m1.rfx
echo "done"
echo "starting ggsearch36/glsearch36" `date`
../bin/ggsearch36_t -q -m 9i -w 80 ../seq/hahu.aa q > results/test_h1.gg_t
../bin/glsearch36_t -q -m 9i -w 80 ../seq/hahu.aa q > results/test_h1.gl_t
../bin/ggsearch36_t -q ../seq/gtt1_drome.aa q > results/test_t1.gg_t
../bin/glsearch36_t -q ../seq/gtt1_drome.aa q > results/test_t1.gl_t
echo "done"
echo "starting fasta36_t - DNA" `date`
../bin/fasta36_t -S -q ../seq/mgstm1.nt %RMB 4 > results/test_m1.ok4_t
../bin/fasta36_t -S -q ../seq/mgstm1.rev %RMB 4 > results/test_m1.ok4r_t
echo "done"
#echo "starting tfasta36_t" `date`
#tfasta36_t -q ../seq/mgstm1.aa %RMB > results/test_m1.tk2_t
#echo "done"
echo "starting tfastxy36_t" `date`
../bin/tfastx36_t -m 9c -q -i -3 -m 6 ../seq/mgstm1.aa %p > results/test_m1.tx2_t.html
../bin/tfasty36_t -q -i -3 -N 5000 ../seq/mgstm1.aa %p > results/test_m1.ty2_t
echo "done"
echo "starting fastf36_t" `date`
../bin/fastf36_t -q ../seq/m1r.aa q > results/test_mf.ff_t
../bin/fastf36 -q ../seq/m1r.aa q > results/test_mf.ff_s
echo "done"
echo "starting tfastf36_t" `date`
../bin/tfastf36_t -q ../seq/m1r.aa %r > results/test_mf.tf_tr
echo "done"
echo "starting fasts36_t" `date`
../bin/fasts36_t -q -V '*?@' ../seq/ngts.aa q > results/test_m1.fs1_t
../bin/fasts36_t -q ../seq/ngt.aa q > results/test_m1.fs_t
../bin/fasts36_t -q -n ../seq/mgstm1.nts m > results/test_m1.nfs_t
echo "done"
echo "starting tfasts36_t" `date`
../bin/tfasts36_t -q ../seq/n0.aa %r > results/test_m1.ts_r
echo "done with threaded section: " `date`
echo "starting lalign36" `date`
../bin/lalign36 -k 1000 -q ../seq/mchu.aa ../seq/mchu.aa > results/test_mc.lal
../bin/lalign36 -z 3 -q ../seq/mchu.aa ../seq/mchu.aa > results/test_mc.lal_z3
../bin/lalign36 -s BL62 -f -11 -g -1  -q ../seq/mchu.aa ../seq/mchu.aa > results/test_mc.lal_bl62
../bin/lalign36 -k 1000 -q ../seq/mwkw.aa ../seq/mwkw.aa > results/test_mw.lal
../bin/lalign36 -z 3 -q ../seq/mwkw.aa ../seq/mwkw.aa > results/test_mw.lal_z3
../bin/lalign36 -s BL62 -f -11 -g -1  -q ../seq/mwkw.aa ../seq/mwkw.aa > results/test_mw.lal_bl62
echo "done"
echo "starting fasta36 - protein" `date`
../bin/fasta36 -q -z 2 ../seq/mgstm1.aa q 1 > results/test_m1.ok1z2
../bin/fasta36 -q -s P250 ../seq/mgstm1.aa q > results/test_m1.ok2_p25 
echo "done"
echo "starting fastx36" `date`
../bin/fastx36 -m 9c -q ../seq/mgstm1.esq q > results/test_m1.ok2x 
echo "done"
echo "starting fasty36" `date`
../bin/fasty36 -q ../seq/mgstm1.esq q > results/test_m1.ok2y 
echo "done"
echo "starting fasta36 - DNA " `date`
../bin/fasta36 -m 9c -q ../seq/mgstm1.seq %RMB 4 > results/test_m1.ok4 
echo "done"
echo "starting ssearch36" `date`
../bin/ssearch36 -S -q -z 2 ../seq/mgstm1.aa a > results/test_m1.ss_z2
../bin/ssearch36 -q -s P250 ../seq/mgstm1.aa a > results/test_m1.ss_p25 
echo "done"
echo "starting ssearch36s" `date`
../bin/ssearch36s -S -q -z 2 ../seq/mgstm1.aa a > results/test_m1.sss_z2
../bin/ssearch36s -q -s P250 ../seq/mgstm1.aa a > results/test_m1.sss_p25 
echo "done"
#echo "starting tfasta36" `date`
#tfasta36 -q ../seq/mgstm1.aa %RMB > results/test_m1.tk2 
#echo "done"
echo "starting tfastxy36" `date`
../bin/tfastx36 -q ../seq/mgstm1.aa %RMB > results/test_m1.tx2 
../bin/tfasty36 -m 9c -q ../seq/mgstm1.aa %RMB > results/test_m1.ty2 
echo "done"
echo "starting fasts36" `date`
../bin/fasts36 -q -V '@?*' ../seq/ngts.aa q > results/test_m1.fs1
../bin/fasts36 -q ../seq/ngt.aa q > results/test_m1.fs
echo "done" `date`
