#!/bin/sh
echo ""
echo "starting FASTA36" `date` "on" `hostname`
echo `uname -a`
echo ""
echo "starting fasta36_t - protein" `date`
if [ ! -d results ]; then
 mkdir results
fi
../bin/fasta36_t -S -z 21 -s BP62 -c O ../seq/mgstm1.aa q > results/test2o_m1.ok2_bp62_t
../bin/fasta36_t -S -z 21 -s BP62 ../seq/mgstm1.aa q > results/test2_m1.ok2_bp62_t
../bin/fasta36_t -S -z 21 -c O ../seq/mgstm1.aa q > results/test2o_m1.ok2_z21_t
../bin/fasta36_t -S -z 21 ../seq/mgstm1.aa q > results/test2_m1.ok2_z21_t
echo "done"
echo "starting fastxy36_t" `date`
../bin/fastx36_t -m 9c -S -c O -q ../seq/mgtt2_x.seq q > results/test2o_t2.xk2m9c_t
../bin/fastx36_t -m 9C -S -q ../seq/mgtt2_x.seq q > results/test2_t2.xk2m9C_t
../bin/fasty36_t -S -c O -q ../seq/mgtt2_x.seq q > results/test2o_t2.yk2_t
../bin/fasty36_t -S -c O -q ../seq/mgtt2_x.seq q > results/test2_t2.yk2_t
../bin/fasty36_t -S -m8 -q ../seq/mgtt2_x.seq q > results/test2_t2.yk2m8_t
../bin/fastx36_t -m 9c -c O  -S -q -z 22 ../seq/mgstm1.esq q > results/test2o_m1.xk2m9c_tz22
../bin/fastx36_t -m 9C -S -q -z 22 ../seq/mgstm1.esq q > results/test2_m1.xk2m9C_tz22
../bin/fasty36_t -S -c O -q -z 21 ../seq/mgstm1.esq q > results/test2o_m1.yk2_tz21
../bin/fasty36_t -S -q -z 21 ../seq/mgstm1.esq q > results/test2_m1.yk2_tz21
echo "done"
echo "starting ssearch36_t" `date`
../bin/ssearch36_t -m 9c -S -z 22 -q ../seq/mgstm1.aa  q > results/test2_m1.ssm9c_tz22
../bin/ssearch36_t -m 9C -S -z 21 -q ../seq/mgstm1.aa  q > results/test2_m1.ssm9C_tz21
echo "done"
echo "starting fasta36_t - DNA" `date`
../bin/fasta36_t -S -q -c O -r "+2/-4" ../seq/mgstm1.nt %RMB 4 > results/test2o_m1.ok4_tz1r24
../bin/fasta36_t -S -q -r "+2/-4" ../seq/mgstm1.nt %RMB 4 > results/test2_m1.ok4_tz1r24
../bin/fasta36_t -S -q -c O ../seq/mgstm1.rev %RMB 4 > results/test2o_m1.ok4r_t
../bin/fasta36_t -S -q  ../seq/mgstm1.rev %RMB 4 > results/test2_m1.ok4r_t
echo "done"
echo "starting tfastxy36_t" `date`
../bin/tfastx36_t -c O -m 9c -q -i -3 ../seq/mgstm1.aa %p > results/test2o_m1.tx2_t
../bin/tfastx36_t -m 9C -q -i -3 ../seq/mgstm1.aa %p > results/test2_m1.tx2_t
../bin/tfasty36_t -c O  -q -i -3 -N 5000 ../seq/mgstm1.aa %p > results/test2o_m1.ty2_t
../bin/tfasty36_t -q -i -3 -N 5000 ../seq/mgstm1.aa %p > results/test2_m1.ty2_t
echo "done" `date`
